url: https://github.com/fonttools/fonttools/issues/2996

commit ca9d98d94c3ba98db934f0d1e3a77134171f2262
Author: Jérôme Carretero <cJ-gentoo@zougloub.eu>
Date:   Fri Feb 17 19:24:46 2023 -0500

    Fixup pypy3 compatibility

diff --git a/Lib/fontTools/misc/macCreatorType.py b/Lib/fontTools/misc/macCreatorType.py
index 6b191054b..f680f238d 100644
--- a/Lib/fontTools/misc/macCreatorType.py
+++ b/Lib/fontTools/misc/macCreatorType.py
@@ -24,7 +24,7 @@ def getMacCreatorAndType(path):
 	"""
 	if xattr is not None:
 		try:
-			finderInfo = xattr.getxattr(path, 'com.apple.FinderInfo')
+			finderInfo = xattr.getxattr(str(path), 'com.apple.FinderInfo')
 		except (KeyError, IOError):
 			pass
 		else:
diff --git a/Lib/fontTools/subset/svg.py b/Lib/fontTools/subset/svg.py
index 4ed2cbd20..4a8823928 100644
--- a/Lib/fontTools/subset/svg.py
+++ b/Lib/fontTools/subset/svg.py
@@ -77,7 +77,7 @@ def iter_referenced_ids(tree: etree.Element) -> Iterator[str]:
 
         attrs = el.attrib
         if "style" in attrs:
-            attrs = {**attrs, **parse_css_declarations(el.attrib["style"])}
+            attrs = {**dict(attrs), **dict(parse_css_declarations(el.attrib["style"]))}
         for attr in ("fill", "clip-path"):
             if attr in attrs:
                 value = attrs[attr]
